function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
import { BizGlobalDataContext } from '@zgfe/business-lib';
import { useContext, useEffect, useState } from 'react';
import apis from '../constants/api';
import request from '../utils/ajax';
function useDataList() {
  var _useContext = useContext(BizGlobalDataContext),
    currentProject = _useContext.currentProject;
  var _useState = useState(true),
    _useState2 = _slicedToArray(_useState, 2),
    loading = _useState2[0],
    setLoading = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    failed = _useState4[0],
    setFailed = _useState4[1];
  var _useState5 = useState([]),
    _useState6 = _slicedToArray(_useState5, 2),
    datasetList = _useState6[0],
    setDatasetList = _useState6[1];
  useEffect(function () {
    queryTableList();
  }, []);
  function queryTableList() {
    setLoading(true);
    setFailed(false);
    request(apis.querySimpleDataset, {
      method: 'post',
      data: {
        projectId: currentProject === null || currentProject === void 0 ? void 0 : currentProject.projectId
      }
    }).then(function (res) {
      if (!res) return;
      setDatasetList(res.data);
    }).catch(function (err) {
      setFailed(true);
      console.error('获取数据集列表失败', err);
    }).finally(function () {
      setLoading(false);
    });
  }
  return {
    loading: loading,
    failed: failed,
    datasetList: datasetList
  };
}
export default useDataList;